Subject: [PATCH 00/15] Add xvnc-service-type.

From: Maxim Cournoyer <[email-masked]>
Date: Fri, 23 Sep 2022 00:58:55 -0400

Hello Guix!

This series introduced a VNC server service type, xvnc-service-type.  To make
it more useful, it also makes it possible to enable XDMCP for GDM and disable
its auto-suspend default behavior, which would otherwise break remote
sessions.

I found it useful not only to move heavy tasks such as running many VMs in
GNOME Boxes to a distant, more powerful machine, but also when run locally,
because I can login as a different user in a completely different session and
explore or test things without leaving the comfort of my own usual session,
and without the hindrances of virtualization.

I hope you find it useful too!

Thanks,

Maxim Cournoyer (15):
  gnu: tigervnc-server: Use new style inputs, gexps.
  gnu: tigervnc-server: Move source production into origin snippet.
  gnu: tigervnc-server: Adjust PAM config.
  gnu: tigervnc-server: Disable tests via #:tests?.
  gnu: tigervnc-server: Patch and wrap vncserver script.
  gnu: gdm: Patch an extra reference to the Xsession script.
  services: gdm: Add a configuration field to enable XDMCP.
  marionette: Make marionette-screen-text private.
  marionette: Preserve screen dumps on failures.
  marionette: Define keystrokes for typing colons and exclamation marks.
  marionette: Add a callback arguments to wait-for-screen-text.
  gnu: dconf: Set sysconfdir to /etc.
  services: Add dconf-service-type.
  services: xorg: Add auto-suspend? field to <gdm-configuration>.
  services: Add xvnc-service-type.

 doc/guix.texi            | 175 ++++++++++++++++++++++++++-
 gnu/build/marionette.scm |  53 ++++++---
 gnu/local.mk             |   2 +
 gnu/packages/gnome.scm   |  59 ++++++----
 gnu/packages/vnc.scm     | 240 ++++++++++++++++++++++---------------
 gnu/services/vnc.scm     | 247 +++++++++++++++++++++++++++++++++++++++
 gnu/services/xorg.scm    | 197 +++++++++++++++++++++++++++++--
 gnu/tests/base.scm       |  25 ++--
 gnu/tests/vnc.scm        | 200 +++++++++++++++++++++++++++++++
 9 files changed, 1039 insertions(+), 159 deletions(-)
 create mode 100644 gnu/services/vnc.scm
 create mode 100644 gnu/tests/vnc.scm

-- 
2.37.3